package com.dev.swms.server.model.base;

import java.util.Date;

import com.dev.energy.server.model.Entity;

/**
 * 门店
 * @author 44700
 *
 */
public class Store extends Entity{
	private String code;//代码
	private String name;//名称
	private Address address;//地址
	private Contact contact;//联系方式
	private City city;//城市          
	private boolean beNightmatch;//是否夜配
	private boolean bePicking;//是否拣货
	private Line line; //所属路线
	private boolean beDisabled ;//是否失效
	private String describe;//描述
	private String creatPeople;//创建人
	private Date creatDate;//创建时间
	private int sequenceNo;//顺序号
	private Structure company;//所属客户
	private Line lineThursday; //所属路线周四
	private Line lineSunday; //所属路线周日
	private int sequenceNo1;//顺序号周四
	private int sequenceNo2;//顺序号周日
	
	
	
	public int getSequenceNo2() {
		return sequenceNo2;
	}
	public void setSequenceNo2(int sequenceNo2) {
		this.sequenceNo2 = sequenceNo2;
	}
	public Line getLineThursday() {
		return lineThursday;
	}
	public void setLineThursday(Line lineThursday) {
		this.lineThursday = lineThursday;
	}
	public Line getLineSunday() {
		return lineSunday;
	}
	public void setLineSunday(Line lineSunday) {
		this.lineSunday = lineSunday;
	}
	public int getSequenceNo1() {
		return sequenceNo1;
	}
	public void setSequenceNo1(int sequenceNo1) {
		this.sequenceNo1 = sequenceNo1;
	}
	public Structure getCompany() {
		return company;
	}
	public void setCompany(Structure company) {
		this.company = company;
	}
	public int getSequenceNo() {
		return sequenceNo;
	}
	public void setSequenceNo(int sequenceNo) {
		this.sequenceNo = sequenceNo;
	}
	public boolean isBeDisabled() {
		return beDisabled;
	}
	public void setBeDisabled(boolean beDisabled) {
		this.beDisabled = beDisabled;
	}
	public String getDescribe() {
		return describe;
	}
	public void setDescribe(String describe) {
		this.describe = describe;
	}
	public String getCreatPeople() {
		return creatPeople;
	}
	public void setCreatPeople(String creatPeople) {
		this.creatPeople = creatPeople;
	}
	public Date getCreatDate() {
		return creatDate;
	}
	public void setCreatDate(Date creatDate) {
		this.creatDate = creatDate;
	}
	public Line getLine() {
		return line;
	}
	public void setLine(Line line) {
		this.line = line;
	}
	public String getCode() {
		return code;
	}
	public City getCity() {
		return city;
	}
	public void setCity(City city) {
		this.city = city;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Address getAddress() {
		return address;
	}
	public void setAddress(Address address) {
		this.address = address;
	}
	public Contact getContact() {
		return contact;
	}
	public void setContact(Contact contact) {
		this.contact = contact;
	}
	public boolean isBeNightmatch() {
		return beNightmatch;
	}
	public void setBeNightmatch(boolean beNightmatch) {
		this.beNightmatch = beNightmatch;
	}
	public boolean isBePicking() {
		return bePicking;
	}
	public void setBePicking(boolean bePicking) {
		this.bePicking = bePicking;
	}
	
	
	
}
